> ## Documentation Index
> Fetch the complete documentation index at: https://docs.routify.ru/llms.txt
> Use this file to discover all available pages before exploring further.

# Models

> GET /v1/models — list available models with pricing

<Tip>
  `rub_input_per_1m = 158000` means **158 ₽ per 1M tokens** (divide by 1000 to get rubles).
</Tip>


## OpenAPI

````yaml GET /v1/models
openapi: 3.1.0
info:
  title: Routify API
  version: 0.1.0
  description: |
    Routify MVP API contract.
    /v1/chat/completions is a strict MVP subset of OpenAI-compatible APIs.
    /v1/responses is a native pass-through proxy to upstream.
servers:
  - url: https://api.routify.ru
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Chat
  - name: Responses
  - name: Models
paths:
  /v1/models:
    get:
      tags:
        - Models
      summary: List routable models
      description: |
        Requires `Authorization: Bearer $ROUTIFY_API_KEY`.
      responses:
        '200':
          description: Available models
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ModelsResponse:
      type: object
      additionalProperties: false
      properties:
        object:
          type: string
          const: list
        data:
          type: array
          items:
            $ref: '#/components/schemas/ModelItem'
      required:
        - object
        - data
    ModelItem:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
        object:
          type: string
          const: model
        owned_by:
          type: string
      required:
        - id
        - object
        - owned_by
    ErrorResponse:
      type: object
      additionalProperties: false
      properties:
        error:
          type: object
          additionalProperties: false
          properties:
            message:
              type: string
            type:
              $ref: '#/components/schemas/ErrorType'
          required:
            - message
            - type
      required:
        - error
    ErrorType:
      type: string
      enum:
        - invalid_request_error
        - auth_error
        - billing_error
        - rate_limit_error
        - provider_error
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              message: invalid api key
              type: auth_error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: token
      description: >
        Bearer authentication header of the form `Authorization: Bearer
        $ROUTIFY_API_KEY`.

````